<?php

require_once('XML/Unserializer.php');

$unserializer = new XML_Unserializer();

$data = "<array>
    <XML_Serializer>
        <title>XML Serializer example</title>
        <description>This is an example of XML serialization with XMl_Serializer PEAR package.</description>
        <link>http://pear.php.net/package/XML_Serializer</link>
        <attributes>
            <XML_Serializer_Tag>This a nested element.</XML_Serializer_Tag>
            <XML_Serializer_Tag>More stuff.</XML_Serializer_Tag>
        </attributes>
    </XML_Serializer>
</array>";

$unserialized = $unserializer->unserialize($data);

if ($unserialized) {
    echo 'Unserialized data:<br>';
    echo '<pre>';
    print_r($unserializer->getUnserializedData());
    echo '</pre>';
} else {
    echo 'An error occurred unserializing.';
}